#! /bin/bash
#
# Open new shell
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

# Global configuration variables
: ${possible_terminals:=xterm gnome-terminal xfce rxvt konsole }
: ${default_terminal:=auto}

# Default variables
: ${package_name:=$PACKAGE_NAME}
: ${package_version:=$PACKAGE_VERSION}
: ${package_revision:=$PACKAGE_REVISION}
: ${package_revision:=$PACKAGE_REV}
: ${package_statedir:=.ac6_build}
: ${current_task:=Development shell}

first_executable() {
	local exe file
	for exe; do
		file="$(which $exe)"
		if [ -n "$file" -a -x "$file" ]; then
			echo "$exe"
			break
		fi
	done
}

launch_terminal() {
	local term=$(first_executable $possible_terminals)
	eval $term
}

do_buildstep_prepend

# This task is never done... Auto-poison it
poison_recipe_task

launch_terminal

# No need to poison if the compile task was not yet executed,
# nor if we don't really change the configuration file
if [ "$new_config" != "$old_config" ]; then
	poison_recipee_task Compile
fi

do_buildstep_append
